[meta-security] libwhisker2-perl: fix QA message

Submitted by Armin Kuster on Feb. 11, 2019, 4:39 p.m. | Patch ID: 158653

Details

Message ID 20190211163908.25635-1-akuster808@gmail.com
State Master Next, archived
Delegated to: Armin Kuster
Headers show

Commit Message

Armin Kuster Feb. 11, 2019, 4:39 p.m.
WARNING: libwhisker2-perl-2.5-r0 do_package: QA Issue: libwhisker2-perl: Files/directories were installed but not shipped in any package:
  /usr/share
  /usr/share/perl
  /usr/share/perl/5.28.1
  /usr/share/perl/5.28.1/LW2.3pm

Signed-off-by: Armin Kuster <akuster808@gmail.com>
---
 recipes-perl/perl/libwhisker2-perl_2.5.bb | 2 ++
 1 file changed, 2 insertions(+)

Patch hide | download patch | download mbox

diff --git a/recipes-perl/perl/libwhisker2-perl_2.5.bb b/recipes-perl/perl/libwhisker2-perl_2.5.bb
index d9af430..71857ab 100644
--- a/recipes-perl/perl/libwhisker2-perl_2.5.bb
+++ b/recipes-perl/perl/libwhisker2-perl_2.5.bb
@@ -24,4 +24,6 @@  do_install() {
     oe_runmake install DESTDIR=${D} INSTALLDIR=${PERLLIBDIRS}/vendor_perl/${PERLVERSION} MANDIR=${datadir}/perl/${PERLVERSION}
 }
 
+FILES_${PN} += "${datadir}/perl"
+
 BBCLASSEXTEND = "native"